unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics, Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VclTee.TeeGDIPlus,
  Vcl.StdCtrls, VclTee.TeEngine, Vcl.ExtCtrls, VclTee.TeeProcs, VclTee.Chart, VclTee.Series, VclTee.TeePolar, VclTee.TeeLisB, Vcl.Buttons, VclTee.TeeEdiGrad,
  Vcl.Imaging.jpeg;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    ButtonExit: TButton;
    Series1: TPolarSeries;
    CheckBox7: TCheckBox;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    CheckBox8: TCheckBox;
    OpenDialog1: TOpenDialog;
    ChartListBox1: TChartListBox;
    procedure FormCreate(Sender: TObject);
    procedure ButtonExitClick(Sender: TObject);
    procedure CheckBox7Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.CheckBox7Click(Sender: TObject);
begin
  CheckBox8.Enabled := CheckBox7.Checked;
  if not CheckBox8.Enabled then
    CheckBox8.Checked := false;

  BitBtn1.Enabled := CheckBox7.Checked;
  if not BitBtn1.Enabled then
    begin
      Chart1.Gradient.Visible := false;
      (ChartListBox1.SelectedSeries as TPolarSeries).CircleGradient.Visible := false;
    end;
  BitBtn2.Enabled := CheckBox7.Checked;
  if not BitBtn2.Enabled then
    begin
      Chart1.BackImage := nil;
      (ChartListBox1.SelectedSeries as TPolarSeries).CircleBrush.Image := nil;
    end;
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  i: Integer;
begin
  Chart1.View3D := false;
  Chart1.Legend.Visible := false;
  Chart1.Title.Visible := false;

  if Chart1.SeriesCount > 0 then
    Chart1.FreeAllSeries();
  for i := 0 to 2 do
    begin
      with Chart1 do
        begin
          AddSeries(TPolarSeries);
          with (Series[SeriesCount - 1] as TPolarSeries) do
            begin
              FillSampleValues;
              Pointer.Visible := false;
              Brush.Clear;
              CircleBrush.Clear;
              Pen.Color := Color;
              Pen.Width := 2;
            end;
        end;
    end;

  ChartListBox1.SelectedSeries := Chart1.Series[0];
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
  Chart1.Walls.Back.Transparent := not CheckBox8.Checked;
  if CheckBox8.Checked then
    begin
      (ChartListBox1.SelectedSeries as TPolarSeries).CircleGradient.Visible := true;
      EditTeeGradient(Self, (ChartListBox1.SelectedSeries as TPolarSeries).CircleGradient);
    end
  else
    begin
      Chart1.Gradient.Visible := true;
      EditTeeGradient(Self, Chart1.Gradient);
    end;
end;

procedure TForm1.BitBtn2Click(Sender: TObject);
begin
  if OpenDialog1.Execute then
    begin
      Chart1.BackImageInside := CheckBox8.Checked;
      if CheckBox8.Checked then
        (ChartListBox1.SelectedSeries as TPolarSeries).CircleBrush.Image.LoadFromFile(OpenDialog1.FileName)
      else
        Chart1.BackImage.LoadFromFile(OpenDialog1.FileName);
    end;
end;

procedure TForm1.ButtonExitClick(Sender: TObject);
begin
  close;
end;

end.
